import path from 'path';
import os from 'os';
import fs from 'fs';
import yaml from 'js-yaml';

export default class DeleteAccess {
    async delete(aliasName: string) {
        const accessFile = path.join(os.homedir(), '.s', 'access.yaml');
        const accessFileInfo = yaml.load(fs.readFileSync(accessFile, 'utf8') || "{}");
        if (accessFileInfo[aliasName]) {
            delete accessFileInfo[aliasName]
            fs.writeFileSync(accessFile, Object.keys(accessFileInfo).length > 0 ? yaml.dump(accessFileInfo) : "");
        } else {
        }
    }
}