import { CommandManager } from './command-manager';

async function start({ method, sPath, customerCommand, actionParams }) {
    const command = new CommandManager(sPath, method, customerCommand, actionParams);
    await command.init();
}
process.on("message", async params => {
    if (params.action === 'start') {
        const { method, sPath, customerCommand, actionParams } = params
        await start({
            method,
            sPath,
            customerCommand,
            actionParams
        });
        process.exit(-1);
    }
});